## org.gnu.gdk
Class WindowType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.WindowType

public class WindowType
extends org.gnu.glib.Enum

Field Summary
`static WindowType` `CHILD`
`static WindowType` `DIALOG`
`static WindowType` `FOREIGN`
`static WindowType` `ROOT`
`static WindowType` `TEMP`
`static WindowType` `TOPLEVEL`

Method Summary
`WindowType` `and(WindowType other)`
`static WindowType` `intern(int value)`
`WindowType` `or(WindowType other)`
`boolean` `test(WindowType other)`
`WindowType` `xor(WindowType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROOT

    public static final WindowType ROOT

### TOPLEVEL

    public static final WindowType TOPLEVEL

### CHILD

    public static final WindowType CHILD

### DIALOG

    public static final WindowType DIALOG

### TEMP

    public static final WindowType TEMP

### FOREIGN

    public static final WindowType FOREIGN

Method Detail

### intern

    public static WindowType intern(int value)

### or

    public WindowType or(WindowType other)

### and

    public WindowType and(WindowType other)

### xor

    public WindowType xor(WindowType other)

### test

    public boolean test(WindowType other)